#!/bin/bash

buildroot=".new_initramfs"
cache=".cache"
extract="extract"

PACKAGES=(
  "systemd"
  "acl"
  "audit"
  "bash"
  "cryptsetup"
  "dbus"
  "hwdata"
  "kbd"
  "kmod"
  "libcap"
  "libelf"
  "libgcrypt"
  "libidn2"
  "libseccomp"
  "libxcrypt"
  "lz4"
  "openssl"
  "pam"
  "pcre2"
  "systemd-libs"
  "util-linux"
  "xz"
  "glibc"
  "krb5"
  "libcap-ng"
  "ncurses"
  "readline"
  "argon2"
  "device-mapper"
  "json-c"
  "popt"
  "util-linux-libs"
  "expat"
  "zlib"
  "zstd"
  "gcc-libs"
  "bzip2"
  "curl"
  "libgpg-error"
  "libunistring"
  "libtirpc"
  "pambase"
  "coreutils"
  "file"
  "libutempter"
  "shadow"
  "filesystem"
  "linux-api-headers"
  "tzdata"
  "iana-etc"
  "e2fsprogs"
  "keyutils"
  "libldap"
  "libverto"
  "libsasl"
  "gdbm"
  "libevent"
  "attr"
  "gmp"
  "brotli"
  "ca-certificates"
  "libnghttp2"
  "libpsl"
  "libssh2"
  "ca-certificates-mozilla"
  "ca-certificates-utils"
  "findutils"
  "p11-kit"
  "libp11-kit"
  "libffi"
  "libtasn1"
)

mkdir -p "${cache}"
pacman -Syw --cachedir "${cache}" "${PACKAGES[@]}"
mkdir -p "${extract}"
tar -xvpf "${cache}" --exclude .PKGINFO --exclude .INSTALL --exclude .MTREE --exclude .BUILDINFO -C "${extract}"
mkdir -p "${buildroot}"

#mkdir -p ${buildroot}/usr/{bin,lib/{binfmt.d,credstore,cryptsetup,environment.d,initcpio/{hooks,install},kernel/install.d,modprobe.d,modules-load.d,pam.d,pcrlock.d,security,sysctl.d,systemd/{boot/efi,catalog,network,ntp-units.d,portable/profile/,repart/definitions,system-{generators,preset,shutdown,sleep},system,user{,-preset,-{,environment-}generators}},sysusers.d,tmpfiles.d,udev/{hwdb.d,rules.d}},share/{bash-completion/completions,dbus-1/{interfaces,{system-,}services,system.d},doc/systemd/LICENSES,factory/etc/pam.d,libalpm/{hooks,scripts},locale,man/{man1,man5,man7,man8},pkgconfig,polkit-1/{actions,rules.d},systemd/{bootctl,gatewayd},zsh/site-functions}}
